<?php
/************************************************************************
 * This file is part of EspoCRM.
 *
 * EspoCRM - Open Source CRM application.
 * Copyright (C) 2014  Yuri Kuznetsov, Taras Machyshyn, Oleksiy Avramenko
 * Website: http://www.espocrm.com
 *
 * EspoCRM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * EspoCRM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with EspoCRM. If not, see http://www.gnu.org/licenses/.
 ************************************************************************/

class AfterUpgrade
{
    protected $container;

    public function run($container)
    {
        $this->container = $container;

        $pdo = $container->get('entityManager')->getPDO();

        $sql = "
            UPDATE task SET account_id = parent_id WHERE parent_type = 'Account' AND deleted = 0
        ";
        $pdo->query($sql);

        $config = $container->get('config');
        $config->set('assignmentNotificationsEntityList', ['Meeting', 'Call', 'Task', 'Email']);

        $languageList = $config->get('languageList', []);
        $languageList[] = 'uk_UA';
        $config->set('languageList', $languageList);

        $config->save();

        $this->customCopy();

        $sql = "
            ALTER TABLE  `note` CHANGE  `parent_type`  `parent_type` VARCHAR( 100 ),
                                CHANGE  `super_parent_type`  `super_parent_type` VARCHAR( 100 );
        ";
        $pdo->query($sql);
    }

    protected function customCopy()
    {
        $upgradePath = dirname(dirname(__FILE__));

        $fileManager = $this->container->get('fileManager');

        $fileManager->copy($upgradePath . '/customFiles/application', 'application', true);
    }
}